﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.Collections;
using Infragistics.Windows.Editors;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            ObservableCollection<Farm> farms = new ObservableCollection<Farm>();
            farms.Add(new Farm() 
            {
                RegionFI = "region 2", 
                RegionItems = new RegionItem[] 
                { 
                    new RegionItem() { ID = 0, Region = "region 0" }, 
                    new RegionItem() { ID = 1, Region = "region 1" }, 
                    new RegionItem() { ID = 2, Region = "region 2" } 
                } 
            });

            farms.Add(new Farm() { 
                RegionFI = "region 5",
                RegionItems = new RegionItem[]
                {
                    new RegionItem() { ID = 0, Region = "region 3" }, 
                    new RegionItem() { ID = 1, Region = "region 4" }, 
                    new RegionItem() { ID = 2, Region = "region 5" } 
                }
            });

            xamDataGrid1.DataSource = farms;

            
            
        }
    }

    public class RegionItem
    {
        public int ID { get; set; }
        public string Region { get; set; }
    }

    public class Farm
    {
        public string RegionFI { get; set; }
        public bool IsSomething { get; set; }
        public IEnumerable RegionItems { get; set; }
    }

    
}
